Bug 431355 - oowriter .odt - Nimbus Roman No9 L linespacing seems to be changed
oowriter .odt - Nimbus Roman No9 L linespacing seems to be changed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: urw-fonts (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-03 09:00 EST by shrek-m
Modified: 2009-07-14 12:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar -- .odt - new.pdf - old.pdf (510.00 KB, application/octet-stream)
2008-02-04 10:36 EST, shrek-m
no flags Details

  None (edit)
Description shrek-m 2008-02-03 09:00:33 EST
Description of problem:
since a few days all my old .odt (at least since jan 2007) files are no longer
correct.
it was ok the 2008-01-21.


i am not sure why this happen but i can see that the "line spacing" has changed
and the text is now at the wrong position.

a few examples:
the original text beginning at
5 cm is now at 4,5 cm (-0,5 cm)
16 cm is now at 14 cm (-2,0 cm)
28 cm is now at 24,5 cm (-3,5 cm)

line spacing is displayed as "single"
the font is "nimbus roman no 9l" "7,8,10,12"

the page size is correct (dina4)
image positions at the top_right and the bottom_left are correct.
printers are the same


Version-Release number of selected component (if applicable):
openoffice.org-writer-2.3.0-6.5.fc7


How reproducible:
always

Steps to Reproduce:
1. open old .odt files
  
Actual results:
all text is at wrong position

Expected results:
should be correct

Additional info:
the last openoffce update was before the wrong behavior.
it was ok the 2008-01-21

# grep openoffice /var/log/yum.log.1
Nov 02 10:06:49 Updated: openoffice.org-core - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:06:52 Updated: openoffice.org-calc - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:06:55 Updated: openoffice.org-writer - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:06:57 Updated: openoffice.org-base - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:06:58 Updated: openoffice.org-math - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:06:59 Updated: openoffice.org-graphicfilter - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:07:02 Updated: openoffice.org-impress - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:07:03 Updated: openoffice.org-draw - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:07:38 Updated: openoffice.org-xsltfilter - 1:2.3.0-6.4.fc7.x86_64
Nov 02 10:07:45 Updated: openoffice.org-langpack-de - 1:2.3.0-6.4.fc7.x86_64
Dec 09 10:14:04 Updated: openoffice.org-core - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:14:37 Updated: openoffice.org-base - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:14:40 Updated: openoffice.org-calc - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:16:58 Updated: openoffice.org-math - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:17:03 Updated: openoffice.org-langpack-de - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:17:15 Updated: openoffice.org-draw - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:17:23 Updated: openoffice.org-graphicfilter - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:17:23 Updated: openoffice.org-xsltfilter - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:19:44 Updated: openoffice.org-impress - 1:2.3.0-6.5.fc7.x86_64
Dec 09 10:19:47 Updated: openoffice.org-writer - 1:2.3.0-6.5.fc7.x86_64


updates since 2008-01-21:


Jan 21 00:08:29 Installed: libpcap - 14:0.9.7-1.fc7.i386
Jan 21 00:11:55 Installed: libpcap-devel - 14:0.9.7-1.fc7.x86_64
Jan 21 00:13:16 Installed: gdbm-devel - 1.8.0-27.fc7.x86_64
Jan 23 08:40:29 Updated: libXfont - 1.2.9-3.fc7.x86_64
Jan 23 08:40:31 Updated: bind-libs - 31:9.4.2-3.fc7.x86_64
Jan 23 08:40:37 Updated: libvirt - 0.4.0-4.fc7.x86_64
Jan 23 08:40:38 Updated: libvirt-python - 0.4.0-4.fc7.x86_64
Jan 23 08:40:39 Updated: clamav-filesystem - 0.92-6.fc7.x86_64
Jan 23 08:40:42 Installed: xorg-x11-server-Xorg - 1.3.0.0-15.fc7.x86_64
Jan 23 08:40:43 Installed: gtk-vnc - 0.3.2-1.fc7.x86_64
Jan 23 08:40:43 Installed: gtk-vnc-python - 0.3.2-1.fc7.x86_64
Jan 23 08:40:44 Installed: virt-viewer - 0.0.2-1.fc7.x86_64
Jan 23 08:40:46 Updated: bind - 31:9.4.2-3.fc7.x86_64
Jan 23 08:40:47 Updated: libupnp - 1.6.3-3.fc7.x86_64
Jan 23 08:40:48 Updated: boost - 1.33.1-15.fc7.x86_64
Jan 23 08:40:49 Updated: bind-utils - 31:9.4.2-3.fc7.x86_64
Jan 23 08:40:50 Updated: xorg-x11-server-Xnest - 1.3.0.0-15.fc7.x86_64
Jan 23 08:40:56 Updated: hsqldb - 1:1.8.0.8-1jpp.5.fc7.x86_64
Jan 23 08:40:57 ln: angegebenes Ziel „hsqldb.jar“ ist kein Verzeichnis
ln: angegebenes Ziel „servlet.jar“ ist kein Verzeichnis

Jan 23 08:40:57 Updated: clamav-data - 0.92-6.fc7.x86_64
Jan 23 08:40:58 Updated: clamav-lib - 0.92-6.fc7.x86_64
Jan 23 08:41:00 Updated: python-virtinst - 0.300.2-1.fc7.noarch
Jan 23 08:41:15 Updated: virt-manager - 0.5.3-1.fc7.x86_64
Jan 23 08:41:16 Updated: clamav - 0.92-6.fc7.x86_64
Jan 23 08:41:17 Updated: clamav-update - 0.92-6.fc7.x86_64
Jan 23 08:41:17 Updated: caching-nameserver - 31:9.4.2-3.fc7.x86_64
Jan 23 08:41:18 Updated: xdg-utils - 1.0.2-3.fc7.noarch
Jan 23 08:41:19 Updated: kde-filesystem - 4-6.fc7.noarch
Jan 23 08:41:20 Updated: clamav-milter - 0.92-6.fc7.x86_64
Jan 23 08:41:21 Updated: clamav-milter-sysv - 0.92-6.fc7.x86_64
Jan 23 08:41:21 Updated: clamav-server-sysv - 0.92-6.fc7.x86_64
Jan 23 08:41:21 Updated: clamav-server - 0.92-6.fc7.x86_64
Jan 23 08:41:27 Erased: xorg-x11-drv-elo2300
Jan 23 08:41:27 Erased: xorg-x11-drv-joystick
Jan 25 10:50:57 Updated: acpid - 1.0.4-9.fc7.x86_64
Jan 25 10:50:58 Updated: xorg-x11-server-Xnest - 1.3.0.0-16.fc7.x86_64
Jan 25 10:51:00 Updated: xterm - 231-1.fc7.x86_64
Jan 25 10:51:04 Updated: xorg-x11-server-Xorg - 1.3.0.0-16.fc7.x86_64
Jan 27 11:23:33 Updated: xdg-utils - 1.0.2-4.fc7.noarch
Jan 28 09:44:19 Updated: kdelibs - 6:3.5.8-19.fc7.x86_64
Jan 28 09:44:58 Updated: kdebase - 6:3.5.8-30.fc7.1.x86_64
Jan 28 09:45:02 Updated: libicu - 3.6-20.fc7.x86_64
Jan 28 09:45:07 Updated: t1lib - 5.1.1-7.fc7.x86_64
Jan 28 09:45:15 Updated: vim-common - 2:7.1.211-1.fc7.x86_64
Jan 28 09:45:15 Updated: vim-enhanced - 2:7.1.211-1.fc7.x86_64
Jan 28 09:45:16 Updated: vim-minimal - 2:7.1.211-1.fc7.x86_64
Jan 28 09:45:19 Updated: sylpheed - 2.3.1-6.x86_64
Jan 28 09:45:25 Updated: selinux-policy - 2.6.4-70.fc7.noarch
Jan 28 09:45:30 Updated: urw-fonts - 2.4-1.fc7.noarch
Jan 28 09:45:50 Updated: selinux-policy-targeted - 2.6.4-70.fc7.noarch
Jan 28 09:45:52 Updated: logwatch - 7.3.4-10.fc7.noarch
Jan 30 10:47:26 Updated: bash - 3.2-20.fc7.x86_64
Jan 30 10:47:55 Updated: xine-lib - 1.1.10-1.fc7.x86_64
Jan 30 10:47:56 Updated: libacl - 2.2.39-7.fc7.x86_64
Jan 30 10:47:59 Updated: system-config-printer-libs - 0.7.74.10-2.fc7.x86_64
Jan 30 10:48:00 Updated: acl - 2.2.39-7.fc7.x86_64
Jan 30 10:48:01 Updated: groff-perl - 1.18.1.4-8.fc7.x86_64
Jan 30 10:48:02 Updated: system-config-printer - 0.7.74.10-2.fc7.x86_64
Jan 30 10:48:04 Updated: xine-lib-extras-nonfree - 1.1.10-1.lvn7.x86_64
Jan 30 10:48:11 Updated: groff - 1.18.1.4-8.fc7.x86_64
Jan 30 14:04:34 Installed: kernel - 2.6.23.14-64.fc7.x86_64
Jan 30 14:04:36 Installed: kmod-ntfs - 2.1.28-4.2.6.23.14_64.fc7.x86_64
Jan 30 14:04:41 Updated: kernel-headers - 2.6.23.14-64.fc7.x86_64
Feb 03 11:16:45 Updated: tomcat5-servlet-2.4-api - 5.5.25-3jpp.1.fc7.x86_64
Feb 03 11:18:05 Updated: kdebase - 6:3.5.8-31.fc7.x86_64
Feb 03 11:18:07 Updated: SDL_image - 1.2.5-7.fc7.x86_64
Feb 03 11:18:07 Updated: libupnp - 1.6.4-1.fc7.x86_64
Feb 03 11:18:10 Updated: lynx - 2.8.6-5.fc7.x86_64
Feb 03 11:18:11 Updated: chkrootkit - 0.48-2.fc7.x86_64
Feb 03 11:18:12 Updated: tomcat5-jsp-2.0-api - 5.5.25-3jpp.1.fc7.x86_64
Comment 1 Caolan McNamara 2008-02-04 03:35:32 EST
Hmm, I suggest you attach a sample document for reference.

It is plausible that this problem arises from the above update of urw-fonts,
i.e. the reported font is "Nimbus Roman No 9L" and...

> fc-match -v "Nimbus Roman No9 L"|grep fonts
        file: "/usr/share/fonts/default/Type1/n021003l.pfb"(s)

> rpm -qf /usr/share/fonts/default/Type1/n021003l.pfb
urw-fonts

So you could try reverting to an older version or urw-fonts to see if that makes
a difference. If the font itself has changed ascent/descent or internal/external
leading figures between versions then that would be an appalling event.
Comment 2 shrek-m 2008-02-04 09:47:03 EST
thanks,
all is ok with downgrading to urw-fonts 2.3-6.1.1

# yum list urw-fonts
Installed Packages
urw-fonts.noarch                         2.3-6.1.1              installed       
Available Packages
urw-fonts.noarch                         2.4-1.fc7              updates
Comment 3 shrek-m 2008-02-04 10:36:46 EST
Created attachment 293897 [details]
tar -- .odt - new.pdf - old.pdf

the original .odt file
not ok = _new.pdf; urw-fonts 2.4-1.fc7
ok = _old.pdf; urw-fonts 2.3-6.1.1
Comment 4 Bug Zapper 2008-05-14 11:18:19 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 shrek-m 2008-05-19 12:51:20 EDT
fedora 9
urw-fonts-2.4-5.fc9.noarch
the same problem, changed line spacing.

2.3-6.1.1 was the last urw-fonts package with the old behaviour.
Comment 6 Peter van Egdom 2008-05-19 17:43:30 EDT
Changing version from "7" to "9".
Comment 7 Marcelo 2009-02-05 16:01:58 EST
I have a similar problem. In F10, after the last openoffice update to version 3.0.1-15.2, my ooocalc spreadsheets are taking more horizontal space than before. It seems the horizontal spacing has changed. I can be mistaken, but I think only the numbers are more spaced, I can't see any difference in the space between letters. But I'm sure something has changed, because I have some spreadsheets which were exactly as wide as my screen and now they don't fit anymore. The font used is Arial.
I can see no noticeable difference in ooowriter documents.

Does this make sense? Is this possibly related to the bug reported by the OP?
Comment 8 Bug Zapper 2009-06-09 19:29:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:37:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.